package com.yxproject.start.entity;

import javax.persistence.*;
import java.util.Objects;


/**
 * Created by Administrator on 2018/12/19.
 */
@Entity
@Table(name = "COUNTY", schema = "DAHAI")
public class CountyEntity {

    private String county_Code;
    private long finish_Count;
    private long in_Storage_Count;
    private long out_Storage_Count;
    private String countyName;
    private long downloadCount;
    private long electric_writeCount;

    @Id
    @Column(name = "county_Code", nullable = true, length = 20)
    public String getCounty_Code() {
        return county_Code;
    }

    public void setCounty_Code(String county_Code) {
        this.county_Code = county_Code;
    }

    @Basic
    @Column(name = "finish_Count", nullable = true, precision = 0)
    public long getFinish_Count() {
        return finish_Count;
    }

    public void setFinish_Count(long finish_Count) {
        this.finish_Count = finish_Count;
    }

    @Basic
    @Column(name = "in_Storage_Count", nullable = true, precision = 0)
    public long getIn_Storage_Count() {
        return in_Storage_Count;
    }

    public void setIn_Storage_Count(long in_Storage_Count) {
        this.in_Storage_Count = in_Storage_Count;
    }

    @Basic
    @Column(name = "out_Storage_Count", nullable = true, precision = 0)
    public long getOut_Storage_Count() {
        return out_Storage_Count;
    }

    public void setOut_Storage_Count(long out_Storage_Count) {
        this.out_Storage_Count = out_Storage_Count;
    }

    @Basic
    @Column(name = "countyName", nullable = true, length = 20)
    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    @Basic
    @Column(name = "downloadCount", nullable = true, precision = 0)
    public long getDownloadCount() {
        return downloadCount;
    }

    public void setDownloadCount(long downloadCount) {
        this.downloadCount = downloadCount;
    }

    @Basic
    @Column(name = "electric_writeCount", nullable = true, precision = 0)
    public long getElectric_writeCount() {
        return electric_writeCount;
    }

    public void setElectric_writeCount(long electric_writeCount) {
        this.electric_writeCount = electric_writeCount;
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        CountyEntity that = (CountyEntity) o;
        return electric_writeCount == that.electric_writeCount &&
                downloadCount == that.downloadCount &&
                finish_Count == that.finish_Count &&
                in_Storage_Count == that.in_Storage_Count &&
                out_Storage_Count == that.out_Storage_Count &&
                Objects.equals(countyName, that.countyName) &&
                Objects.equals(county_Code, that.county_Code);
    }

    @Override
    public int hashCode() {
        return Objects.hash(electric_writeCount, downloadCount, finish_Count, in_Storage_Count, out_Storage_Count,countyName,county_Code);
    }


}
